Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1223)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1224)
@@ -641,12 +641,13 @@
 						try {
 							cooc.sort(currentComparator);
 						} catch (CqiClientException e) {
-							Log.severe(CooccurrenceUIMessages.bind(CooccurrenceUIMessages.editor_error, e.getLocalizedMessage()));
+							Log.severe(TXMCoreMessages.error_errorWhileSortingResult);
+							org.txm.rcp.utils.Logger.printStackTrace(e);
 						}
 					}
 				});
 			} catch (Exception e) {
-				Log.severe(CooccurrenceUIMessages.bind(CooccurrenceUIMessages.editor_error, e.getLocalizedMessage()));
+				Log.severe(TXMCoreMessages.error_errorWhileSortingResult);
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 			TXMEditor.packColumns(this.viewer);
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 1223)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 1224)
@@ -38,8 +38,6 @@
 	public static String CooccurrencesEditor_8;
 	public static String CooccurrencesEditor_9;
 
-	public static String editor_error;
-
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceUIMessages.class);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1223)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1224)
@@ -34,11 +34,9 @@
 	public static String ComputeCorrespondanceAnalysis_14;
 	public static String ComputeCorrespondanceAnalysis_15;
 	public static String ComputeCorrespondanceAnalysis_1;
-	public static String ComputeCorrespondanceAnalysis_3;
 	public static String ComputeCorrespondanceAnalysis_4;
 	public static String ComputeCorrespondanceAnalysis_8;
 	
-	public static String ComputeCorrespondanceAnalysisDialog_0;
 	
 	public static String CorrespondanceAnalysisEditorInput_0;
 	public static String CorrespondanceAnalysisEditorInput_11;
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java	(revision 1223)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java	(revision 1224)
@@ -1,8 +1,6 @@
 package org.txm.functions.contrasts;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.results.TXMParameters;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.statsengine.core.StatException;
@@ -31,17 +29,17 @@
 
 	@Override
 	public String getName() {
-		return TXMCoreMessages.AbsoluteFrequency_1;
+		return TXMCoreMessages.common_absoluteFrequency;
 	}
 
 	@Override
 	public String getSimpleName() {
-		return TXMCoreMessages.AbsoluteFrequency_1;
+		return TXMCoreMessages.common_absoluteFrequency;
 	}
 
 	@Override
 	public String getDetails() {
-		return TXMCoreMessages.AbsoluteFrequency_1;
+		return TXMCoreMessages.common_absoluteFrequency;
 	}
 
 	@Override
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 1223)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 1224)
@@ -34,7 +34,10 @@
 	public static String SpecificitesResult_2;
 	public static String SpecificitesResult_6;
 	public static String SpecificitesResult_8;
+	public static String RelativeFrequency_3;
 
+
+
 	public static String error_errorWhileComputingSpecificities;
 
 	static {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 1223)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 1224)
@@ -4,9 +4,9 @@
 import org.eclipse.swt.layout.GridData;
 
 /**
- * extends the index editor to : 
- * set the number of property to 1 
- * hide the query field
+ * Extends the index editor to :
+ * - set the number of property to 1 
+ * - hide the query field
  * 
  *  @author mdecorde.
  */
@@ -19,6 +19,7 @@
 		super._createPartControl();
 		
 		this.propertiesSelector.setMaxPropertyNumber(1);
+		
 		this.queryWidget.setText("[]"); //$NON-NLS-1$
 		this.queryWidget.setEnabled(false);
 		this.queryWidget.setVisible(false);
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1223)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1224)
@@ -72,7 +72,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * display an index/lexicon parameters and result.
+ * Index editor.
  *
  * @author mdecorde
  */
@@ -509,7 +509,7 @@
 
 		lFminInfo.setText(TXMCoreMessages.FMIN_2 + index.getFmin());
 		lFmaxInfo.setText(TXMCoreMessages.FMAX_2 + index.getFmax());
-		lTInfo.setText(TXMCoreMessages.T + index.getT());
+		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
 		lVInfo.setText(TXMCoreMessages.V + index.getV());
 
 		lVInfo.getParent().layout();
@@ -544,7 +544,7 @@
 	}
 
 	/**
-	 * Gets the corpus.
+	 * Gets the corpus of the index.
 	 *
 	 * @return the corpus
 	 */
@@ -553,14 +553,9 @@
 	}
 
 	/**
-	 * Sets the focus.
-	 *
-	 * @param query the new focus
+	 * Gets the query of the query widget.
+	 * @return
 	 */
-	public void setFocus(String query) {
-		this.queryWidget.setText(query);
-	}
-
 	public Query getQuery() {
 		return queryWidget.getQuery();
 	}
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1223)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1224)
@@ -599,7 +599,7 @@
 
 		lFminInfo.setText(TXMCoreMessages.FMIN_2 + index.getFmin());
 		lFmaxInfo.setText(TXMCoreMessages.FMAX_2 + index.getFmax());
-		lTInfo.setText(TXMCoreMessages.T + index.getT());
+		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
 		lVInfo.setText(TXMCoreMessages.V + index.getV());
 
 		lVInfo.getParent().layout();
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 1223)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 1224)
@@ -18,8 +18,6 @@
 	public static String ProgressionEventCallBack_error_missing_default_edition;
 	public static String ProgressionEventCallBack_error_missing_text;
 	
-	public static String common_ok;
-
 	public static String ProgressionPreferencePage_3;
 	public static String ProgressionPreferencePage_6;
 	public static String ProgressionPreferencePage_7;
@@ -45,12 +43,8 @@
 
 	public static String ProgressionEditor_select_property_file;
 
-	public static String error_error2;
-
 	public static String error_theQueryIsAlreadyRepresentedByACurveInTheGraphic;
 
-	public static String preferences_multipleLineStrokeStyles;
-	
 	static {
 		// initializes resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1224)
@@ -31,6 +31,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
@@ -79,7 +80,8 @@
 	@Override
 	protected boolean _compute() throws Exception {
 
-		Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART, this.getName(), this.pQuery));
+		Log.info(NLS.bind(SearchEngineCoreMessages.info_partXCreatedWithQueryZ, this.getName(), this.pQuery));
+		
 		long start = System.currentTimeMillis();
 		try {
 			super._compute();
@@ -94,7 +96,7 @@
 			}
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(NLS.bind(TXMCoreMessages.info_partCreatedInXMs, this.getParent().getName() + "_" + this.getName(), (end - start))); //$NON-NLS-1
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_partCreatedInXMs, this.getParent().getName() + "_" + this.getName(), (end - start))); //$NON-NLS-1
 
 		return true;
 	}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1224)
@@ -49,6 +49,7 @@
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.searchengine.cqp.CQPPreferences;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -133,7 +134,7 @@
 			this.userName = "no_name";
 		}
 		
-		Log.info(NLS.bind(TXMCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
+		Log.info(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
 		long start = System.currentTimeMillis();
 		for (int i = 0; i < pQueries.size(); i++) {
 			String queryS = pQueries.get(i);
@@ -148,7 +149,7 @@
 			new Part(this, partName, queryS);
 		}
 		long end = System.currentTimeMillis();
-		Log.info(NLS.bind(TXMCoreMessages.info_partitionCreatedInXMs, this.userName, (end - start)));
+		Log.info(NLS.bind(SearchEngineCoreMessages.info_partitionCreatedInXMs, this.userName, (end - start)));
 
 		return pQueries.size() > 0;
 	}
@@ -255,7 +256,7 @@
 			return true;
 		}
 		
-		Log.finest(NLS.bind(TXMCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getParent(), this.userName));
 		
 		if (this.pProperty != null) {
 			_compute_with_property();
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1224)
@@ -43,6 +43,7 @@
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
 import org.txm.objects.SavedQuery;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.core.functions.selection.SelectionResult;
@@ -244,12 +245,11 @@
 	 * @return the subcorpus
 	 * @throws CqiClientException the cqi client exception
 	 */
-	public Subcorpus createSubcorpus(CQLQuery query, String subcorpusName,
-			boolean registered) throws CqiClientException {
+	public Subcorpus createSubcorpus(CQLQuery query, String subcorpusName, boolean registered) throws CqiClientException {
+		
 		Subcorpus subcorpus;
 		String subcorpusCqpId = subcorpusNamePrefix + getNextSubcorpusCounter().toString();
-		Log.finest(TXMCoreMessages.CREATING_SUBCORPUS + this.getQualifiedCqpId()
-				+ " " + subcorpusName + " " + query.getQueryString()); //$NON-NLS-1$ //$NON-NLS-2$
+		Log.finest(TXMCoreMessages.bind(SearchEngineCoreMessages.info_creatingSubcorpusXFromCorpusYWithTheQueryZ, subcorpusName, this.getQualifiedCqpId(), query.getQueryString()));
 
 		long start = System.currentTimeMillis();
 		try {
@@ -264,8 +264,8 @@
 			throw new CqiClientException(e);
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(TXMCoreMessages.SUBCORPUS_CREATED + subcorpusName
-				+ TXMCoreMessages.Corpus_8 + (end - start));
+		
+		Log.info(TXMCoreMessages.bind(SearchEngineCoreMessages.SUBCORPUS_CREATED, subcorpusName, (end - start)));
 
 //		if (!registered) subcorpus.registerToParent();
 		return subcorpus;
@@ -405,7 +405,7 @@
 //	 *             the cqi client exception
 //	 */
 //	public void dropPartition(Partition partition) throws CqiClientException {
-//		Log.finest(TXMCoreMessages.info_deletingPartition + partition.getName());
+//		Log.finest(SearchEngineCoreMessages.info_deletingPartition + partition.getName());
 //		for (Part part : partition.getParts())
 //			try {
 //				CorpusManager.getCorpusManager().getCqiClient().dropSubCorpus(part.getQualifiedCqpId());
@@ -423,9 +423,8 @@
 	 * @throws CqiClientException
 	 *             the cqi client exception
 	 */
-	public void dropQueryResult(QueryResult queryResult)
-			throws CqiClientException {
-		Log.finest(TXMCoreMessages.DROP_QUERYRESULT + queryResult.getName());
+	public void dropQueryResult(QueryResult queryResult) throws CqiClientException {
+		Log.info(SearchEngineCoreMessages.DROP_QUERYRESULT + queryResult.getName());
 		try {
 			CorpusManager.getCorpusManager().getCqiClient().dropSubCorpus(queryResult.getQualifiedCqpId());
 		} catch (Exception e) {
@@ -443,7 +442,7 @@
 	 *             the cqi client exception
 	 */
 	public boolean dropSubcorpus(CQPCorpus subcorpus) throws CqiClientException {
-		Log.finest(NLS.bind(TXMCoreMessages.DROP_SUBCORPUS, subcorpus.getName()));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.DROP_SUBCORPUS, subcorpus.getName()));
 		subcorpus.dropAllSubcorpora();
 //		subcorpus.dropAllPartitions();
 		try {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 1224)
@@ -283,7 +283,7 @@
 //	 *             the cqi client exception
 //	 */
 //	public void dropPartition(Partition partition) throws CqiClientException {
-//		Log.finest(TXMCoreMessages.info_deletingPartition + partition.getName());
+//		Log.finest(SearchEngineCoreMessages.info_deletingPartition + partition.getName());
 //		for (Part part : partition.getParts())
 //			try {
 //				CQPSearchEngine.getCqiClient().dropSubCorpus(part.getQualifiedCqpId());
@@ -303,7 +303,7 @@
 //	 */
 //	public void dropQueryResult(QueryResult queryResult)
 //			throws CqiClientException {
-//		Log.finest(TXMCoreMessages.DROP_QUERYRESULT + queryResult.getName());
+//		Log.finest(SearchEngineCoreMessages.DROP_QUERYRESULT + queryResult.getName());
 //		try {
 //			CQPSearchEngine.getCqiClient().dropSubCorpus(queryResult.getQualifiedCqpId());
 //		} catch (Exception e) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1224)
@@ -38,6 +38,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.NetCqiClient;
@@ -45,6 +46,7 @@
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.core.functions.selection.SelectionResult;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
@@ -185,7 +187,7 @@
 				throw new CqiClientException(e);
 			}
 			long end = System.currentTimeMillis();
-			Log.finest(NLS.bind(TXMCoreMessages.END_SUBCORPUS_SIZE, new Object[]{this.pID, this.size, (end - start)}));
+			Log.finest(NLS.bind(SearchEngineCoreMessages.END_SUBCORPUS_SIZE, new Object[]{this.pID, this.size, (end - start)}));
 		}
 		return this.size;
 	}
@@ -256,7 +258,7 @@
 	@Override
 	public boolean checkCqpId(String pID) throws InvalidCqpIdException {
 		if (!AbstractCqiClient.checkSubcorpusId(pID))
-			throw new InvalidCqpIdException(pID + TXMCoreMessages.Subcorpus_3);
+			throw new InvalidCqpIdException(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.Subcorpus_3, pID));
 		return true;
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 1224)
@@ -37,16 +37,16 @@
 import java.util.UUID;
 import java.util.regex.Pattern;
 
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiCqpErrorNoSuchCorpus;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
@@ -60,6 +60,10 @@
 
 	static Pattern pattern = Pattern.compile("\\p{Upper}(\\p{Upper}|\\p{Digit}|[_-])*"); //$NON-NLS-1$
 	static Pattern pattern2 = Pattern.compile("\\p{Upper}(\\p{Lower}|\\p{Digit}|[_-])*"); //$NON-NLS-1$
+
+	String lastError;
+
+	
 	/**
 	 * Check wether <code>id</code> is a valid CQi for a corpus.
 	 *
@@ -83,11 +87,11 @@
 		return pattern2.matcher(id).matches();
 	}
 	
-	String lastError;
 	public synchronized String getLastError(){	
-		if(lastError != null && lastError.length() > 0)
+		if(lastError != null && lastError.length() > 0) {
 			return lastError;
-		return TXMCoreMessages.AbstractCqiClient_2;
+		}
+		return CQPSearchEngineCoreMessages.AbstractCqiClient_2;
 	}
 	
 	public List<String> getSingleData(Property prop) throws IOException, CqiServerError, CqiClientException {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1224)
@@ -15,7 +15,75 @@
 
 	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.core.messages.messages"; //$NON-NLS-1$
 
+	public static String Summary_13;
+	public static String Summary_15;
+	public static String Summary_16;
+	public static String Subcorpus_3;
+
+	public static String CONNECTING_CQI_CLIENT;
+	public static String CQI_CLIENT_CONNECTED;
+	public static String CqiClient_0;
+	public static String CqiClient_32;
+	public static String CqiClient_33;
+	public static String CwbEncode_0;
+	public static String CwbEncode_21;
+	public static String CwbEncode_23;
+	public static String CwbEncode_25;
+	public static String CwbEncode_27;
+	public static String CwbEncode_29;
+	public static String CwbEncode_32;
+	public static String CwbProcess_1;
+	public static String CwbProcess_3;
+	public static String CwbProcess_4;
+	public static String CwbProcess_5;
+
+	public static String MemCqiClient_0;
+	public static String MemCqiClient_10;
+	public static String MemCqiClient_11;
+	public static String MemCqiClient_1;
+	public static String MemCqiClient_2;
+	public static String MemCqiClient_3;
+	public static String MemCqiClient_5;
+	public static String MemCqiClient_7;
+	public static String MemCqiClient_9;
+	public static String NetCqiClient_1;
+	public static String NetCqiClient_3;
+	public static String NetCqiClient_5;
+	public static String NetCqiClient_97;
+	public static String NetCqiServer_0;
+	public static String NetCqiServer_1;
+	public static String AbstractCqiClient_2;	
+	public static String BuildCwbEncodeArgs_0;
 	
+	public static String PatchCwbRegistry_13;
+	public static String PatchCwbRegistry_16;
+	public static String PatchCwbRegistry_23;
+	public static String PatchCwbRegistry_27;
+	public static String PatchCwbRegistry_28;
+	public static String PatchCwbRegistry_29;
+	public static String PatchCwbRegistry_2;
+	public static String PatchCwbRegistry_34;
+
+	public static String PatchCwbRegistry_3;
+	public static String PatchCwbRegistry_4;
+	
+	public static String READ_2D_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READ_BOOLEAN_FROM_CQI_SERVER;
+	public static String READ_BYTE_FROM_CQI_SERVER;
+	public static String READ_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READ_INTEGER_FROM_CQI_SERVER;
+	public static String READ_STRING_ARRAY_FROM_CQI_SERVER;
+	public static String READ_STRING_FROM_CQI_SERVER;
+	public static String READING_2D_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READING_BOOLEAN_FROM_CQI_SERVER;
+	public static String READING_HEADER_FROM_CQI_SERVER;
+	public static String READING_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READING_INTEGER_FROM_CQI_SERVER;
+	public static String READING_STRING_ARRAY_FROM_CQI_SERVER;
+	public static String READING_STRING_FROM_CQI_SERVER;
+
+	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPSearchEngineCoreMessages.class);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 1224)
@@ -11,11 +11,13 @@
 import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.searchengine.cqp.CQPSearchEngine;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.logger.Log;
 
 public class Summary extends TXMResult {
 	
@@ -172,7 +174,7 @@
 		if (wordids.length == 1 && textids.length == 1) {
 			Text text = corpus.getProject().getText(textids[0]);
 			if (text == null) {
-				System.out.println(TXMCoreMessages.Summary_13+textids[0]+TXMCoreMessages.Summary_14);
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.Summary_13, textids[0]));
 				return null;
 			}
 
@@ -188,14 +190,14 @@
 				}
 			}
 			if (edition == null) {
-				System.out.println(TXMCoreMessages.Summary_15);
+				System.out.println(CQPSearchEngineCoreMessages.Summary_15);
 				return null;
 			}
 
 			node.wordid = wordids[0];
 			return edition.getPageForWordId(wordids[0]);
 		} else {
-			System.out.println(TXMCoreMessages.Summary_16+Arrays.toString(textids)+TXMCoreMessages.Summary_17+Arrays.toString(wordids));
+			Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.Summary_16, Arrays.toString(textids), Arrays.toString(wordids)));
 			return null;
 		}
 	}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1224)
@@ -4,6 +4,7 @@
 
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.serverException.CqiClErrorCorpusAccess;
 import org.txm.searchengine.cqp.serverException.CqiClErrorInternal;
 import org.txm.searchengine.cqp.serverException.CqiClErrorNoSuchAttribute;
@@ -60,12 +61,12 @@
 		byte b2 = ret[3];
 		//System.out.println("bytes: "+ret[0]+" "+ret[1]+" "+ret[2]+" "+ret[3]);
 		//System.out.println("b1 "+b+ " b2 "+b2);
-		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 		switch (b) {
 		case 0x00:// cf cqi.h:29
 			return CQI_PADDING;
 		case 0x01:// cf cqi.h:37
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_STATUS_OK;
@@ -76,12 +77,12 @@
 			case 0x04:// cf cqi.h:42
 				return CQI_STATUS_PING_OK;
 			default:
-				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
 			}
 		case 0x02:// cf cqi.h:45
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 
-			lastError = TXMCoreMessages.MemCqiClient_0+" CQI_ERROR ("+b+")";
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_0+" CQI_ERROR ("+b+")";
 
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
@@ -93,10 +94,10 @@
 			case 0x04:// cf cqi.h:42
 				throw new CqiErrorSyntaxError();
 			default:
-				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_5+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_5+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
 			}
 		case 0x03:// cf cqi.h:53
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_DATA_BYTE;
@@ -121,12 +122,12 @@
 			case 0x0B:// cf cqi.h:42
 				return CQI_DATA_INT_TABLE;
 			default:
-				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_7+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_7+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
 			}
 		case 0x04:// cf cqi.h:67
 
-			lastError = TXMCoreMessages.MemCqiClient_1+"CL_ERROR ("+b+")";
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_1+"CL_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": NoSuchAttribute error";
@@ -151,13 +152,13 @@
 				throw new CqiClErrorInternal();
 			default:
 				lastError += ": Unknown error";
-				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
 			}
 
 		case 0x05:// cf cqi.h:94
 
-			lastError = TXMCoreMessages.MemCqiClient_2+"CQI_CQP_ERROR ("+b+")";
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_2+"CQI_CQP_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": General error";
@@ -175,10 +176,10 @@
 				lastError = getLastCQPError();
 				throw new CqiCqpErrorSyntax();
 			default:
-				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
 			}
 		default:
-			throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_10+b+TXMCoreMessages.MemCqiClient_9+b2);
+			throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_10+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
 		}
 		//return null;
 	}
@@ -349,7 +350,7 @@
 			throws IOException, UnexpectedAnswerException, CqiServerError {
 		Boolean ret = server.query(arg0);
 		if(ret == null || !ret) {
-			System.out.println(TXMCoreMessages.MemCqiClient_11);
+			System.out.println(CQPSearchEngineCoreMessages.MemCqiClient_11);
 			throwExceptionFromCqi(server.getErrorCode());
 		}
 	}
